# WOK
TKWOK
MS

# MS_Type Class Reference

`#include <MS_Type.hxx>`

Inheritance diagram for MS_Type:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | Private () const =0
virtual Standard_EXPORT void | Package (const Handle(TCollection_HAsciiString)&aPackage)
virtual Standard_EXPORT Handle_MS_Package | Package () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_Type (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT | MS_Type (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Handle(TCollection_HAsciiString)&Container, const Standard_Boolean InPackage)

## Private Attributes

Handle_TCollection_HAsciiString | myPackage

## Constructor & Destructor Documentation

Standard_EXPORT MS_Type::MS_Type | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[protected]`

Standard_EXPORT MS_Type::MS_Type | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Handle(TCollection_HAsciiString)& | Container,
|  | const Standard_Boolean | InPackage
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const MS_Type::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Common. Reimplemented in MS_Alias, MS_Class, MS_Enum, MS_Error, MS_GenClass, MS_GenType, MS_Imported, MS_InstClass, MS_NatType, MS_Pointer, MS_PrimType, and MS_StdClass.

virtual Standard_EXPORT Handle_MS_Package MS_Type::Package | ( |  | ) | const`[virtual]`

| Reimplemented in MS_GenType.

virtual Standard_EXPORT void MS_Type::Package | ( | const Handle(TCollection_HAsciiString)& | aPackage | ) | `[virtual]`

| Reimplemented in MS_GenType.

virtual Standard_EXPORT Standard_Boolean MS_Type::Private | ( |  | ) | const`[pure virtual]`

| Implemented in MS_Class, MS_GenType, and MS_NatType.

## Field Documentation

Handle_TCollection_HAsciiString MS_Type::myPackage `[private]`

The documentation for this class was generated from the following file:

- MS_Type.hxx